Deals
IT EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

D-Link DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey

D-Link · Network Switch

D-Link DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey price in Italy

Model DGS-1210-28MP/EMPN DGS-1210-28MP/EEAN 790069467776EAN 5704174940395

  • Memory256 MB
  • Noise52.4 dB
  • Type1U
  • Weight3.86 kg

Lowest price incl. delivery

655,38 €

at EsseeffeFree deliveryIn stock

  • 2 stores
  • Range 655,38 € – 655,38 €
  • 2 in stock
  • 1 with free delivery
  • Checked 23 Oct 2026, 17:42 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Italy

2 stores · prices in EUR · updated 23 Oct 2026, 17:42 UTC

Lowest price655,38 €at Esseeffe · free shippingGo to Esseeffe (opens in a new tab)
Price range across 2 offers

Every store asks the same price.

  • 2 of 2 stores in stock
  • 1 with free shipping
  • Checked 23 Oct 2026, 17:42 UTC

  1. EsseeffeLowest priceD-link switch 24 porte gigabit poe + 4 porte sfp jumbo frame 370w In stockFree shipping
    655,38 €incl. free shipping
    Go to store : Esseeffe (opens in a new tab)
  2. ConradD-Link DGS-1210-28MP/E DGS-1210-28MP/E Switch di rete 24+4 porte 56 GBit/s Funzione PoE In stockShipping not stated
    515,00 €item price, shipping extra
    Go to store : Conrad (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Italy

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Esseeffe655,38 €
Go to store

Product details

Identification

Brand
D-Link
Product
DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey
Full name
D-Link DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey
Manufacturer part number
DGS-1210-28MP/E
EAN / UPC
790069467776, 5704174940395, 7900694677768

77 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL2
Quality of Service (QoS) supportYes
Web-based managementYes
Traffic classificationYes
MIB supportRFC1213MIB II, RFC1493, RFC1907, RFC1757, 2819, RFC2021, RFC1398, 1643, 1650, 2358, 2665, RFC2674, 4363, RFC 2233, 2863, RFC 2618, RFC 2620, RFC 2925

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity24
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Installed SFP modules quantity0
Installed SFP+ modules quantity0
SFP module slots quantity4
Fiber optic connectorSFP
Console portRJ-45

Network

Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ah, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-T
Port mirroringYes
Full duplexYes
IP routingYes
Auto MDI/MDI-XYes
Auto-negotiationYes
Flow control supportYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresMAC address-based VLAN, Port-based VLAN, Tagged VLAN, Voice VLAN
Number of VLANs4094

Optical fiber

Fiber ethernet cabling technology1000BASE-X

Data transmission

MAC address table16000 entries
Switching capacity56 Gbit/s
Forwarding rate41.7 Mpps
Store-and-forwardYes
Number of queues8
Number of static routes32
Jumbo frames supportYes
Jumbo frames9216
Packet buffer memory1.5 MB

Security

DHCP featuresDHCP client
Access Control List (ACL)Yes
Access Control List (ACL) rules256
IGMP snoopingYes
AuthenticationGuest VLAN, MAC-based authentication, Port-based authentication
BPDU filtering/protectionYes
IP-MAC-Port bindingYes
Loop protectionYes
SSH/SSL supportYes
Security algorithms802.1x RADIUS, SNMP, SSH

Multicast features

Multicast supportYes
Multicast Listener Discovery (MLD) snoopingMLD v1, MLD v2

Design

Rack mountingYes
Form factor1U
Product colourBlack, Grey
LED indicatorsActivity, Fan fail, Link, Power, Speed
Number of fans2 fan(s)
Electromagnetic compatibilityFCC A, CE A, VCCI, C-Tick, BSMI, CCC

Performance

Memory typeDDR3-SDRAM
Internal memory256 MB
Flash memory32 MB
Noise level52.4 dB

Power

Power sourceAC/DC
AC input voltage100 - 240 V
AC input frequency50 - 60 Hz
Power consumption (typical)27.49 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet (PoE) ports quantity24

Operational conditions

Operating temperature (T-T)-5 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 90%
Storage relative humidity (H-H)5 - 90%
Heat dissipation850.58 BTU/h

Weight & dimensions

Width440 mm
Depth210 mm
Height44 mm
Weight3.86 kg

Certificates

CertificationIEC61000-4-5, RoHS

Logistics data

Harmonized System (HS) code85176990

What people say

Reviews & ratings

D-Link DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey

No reviews yet

Be the first to tell others how D-Link DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does D-Link DGS-1210-28MP/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black, Grey work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

More network switches deals in Italy

All network switches deals